# INTELThreadLocalExec (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class INTELThreadLocalExec

    java.lang.Object
      org.lwjgl.opencl.INTELThreadLocalExec

    public final class INTELThreadLocalExec

extends java.lang.Object

Field Summary
`static int` `CL_QUEUE_THREAD_LOCAL_EXEC_ENABLE_INTEL` Allows the user to execute OpenCL tasks and kernels with the user application's threads.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_QUEUE_THREAD_LOCAL_EXEC_ENABLE_INTEL

    public static final int CL_QUEUE_THREAD_LOCAL_EXEC_ENABLE_INTEL

  Allows the user to execute OpenCL tasks and kernels with the user application's threads. This token that can be passed to clCreateCommandQueue, creating a queue with the "thread local exec" capability.

  All enqueue APIs (e.g., clEnqueueRead) submitted to such a queue never enqueue commands. An Enqueue API call is executed by the caller host-thread itself without involving any of the OpenCL runtime threads, much like function calls.

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.